rax gates fail with ip != hostname

Bug #1561563 reported by Sam Yaple on 2016-03-24
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
kolla
Critical
Jeffrey Zhang
Liberty
Critical
Jeffrey Zhang
Mitaka
Critical
Jeffrey Zhang

Bug Description

2016-03-24 12:53:59.803 | failed: [localhost] => (item={'cmd': ['getent', 'ahostsv4', 'node1'], 'end': '2016-03-24 12:53:59.742405', 'stderr': u'', 'stdout': '10.210.131.163 STREAM node1\n10.210.131.163 DGRAM \n10.210.131.163 RAW ', 'changed': False, 'rc': 0, 'item': 'localhost', 'warnings': [], 'delta': '0:00:00.003865', 'invocation': {'module_name': u'command', 'module_complex_args': {}, 'module_args': u'getent ahostsv4 node1'}, 'stdout_lines': ['10.210.131.163 STREAM node1', '10.210.131.163 DGRAM ', '10.210.131.163 RAW '], 'start': '2016-03-24 12:53:59.738540'}) => {"failed": true, "item": {"changed": false, "cmd": ["getent", "ahostsv4", "node1"], "delta": "0:00:00.003865", "end": "2016-03-24 12:53:59.742405", "invocation": {"module_args": "getent ahostsv4 node1", "module_complex_args": {}, "module_name": "command"}, "item": "localhost", "rc": 0, "start": "2016-03-24 12:53:59.738540", "stderr": "", "stdout": "10.210.131.163 STREAM node1\n10.210.131.163 DGRAM \n10.210.131.163 RAW ", "stdout_lines": ["10.210.131.163 STREAM node1", "10.210.131.163 DGRAM ", "10.210.131.163 RAW "], "warnings": []}}
2016-03-24 12:53:59.803 | msg: Hostname has to resolve to IP address of api_interface

This is because the /etc/hosts file is not setup properly and should be adjusted accordingly for all hosts.

Sam Yaple (s8m) on 2016-03-24
no longer affects: kolla/liberty

Fix proposed to branch: master
Review: https://review.openstack.org/297247

Changed in kolla:
status: New → In Progress

Change abandoned by Sam Yaple (<email address hidden>) on branch: master
Review: https://review.openstack.org/297247

Steven Dake (sdake) on 2016-04-01
Changed in kolla:
assignee: Sam Yaple (s8m) → nobody
Changed in kolla:
assignee: nobody → Swapnil Kulkarni (coolsvap)
Jeffrey Zhang (jeffrey4l) wrote :

the root case is not the hosts file. it is the wrong configure for globals.yml file.

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/297247

Changed in kolla:
assignee: Swapnil Kulkarni (coolsvap) → Jeffrey Zhang (jeffrey4l)
Steven Dake (sdake) on 2016-04-11
Changed in kolla:
importance: High → Low
Steven Dake (sdake) on 2016-04-17
Changed in kolla:
importance: Low → Critical
Steven Dake (sdake) on 2016-05-01
Changed in kolla:
status: In Progress → Confirmed

Reviewed: https://review.openstack.org/290238
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=00720db254f723d85aeaeb843bcaaa7ee4b92c85
Submitter: Jenkins
Branch: master

commit 00720db254f723d85aeaeb843bcaaa7ee4b92c85
Author: Jeffrey Zhang <jeffrey.zhang@99cloud.net>
Date: Wed Mar 9 10:21:20 2016 +0800

    Handle multi Ethernets case in the gate

    rax-iad node has two Ethernets, but others not. Detect the private
    Ethernet by using script.

    Closes-Bug: #1561563
    Change-Id: I7c5d241f2b1a21f97512e52c487d875dd270011b

Changed in kolla:
status: Confirmed → Fix Released

Reviewed: https://review.openstack.org/311909
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=8c47ddb48e4d3bcf3222f4a725484177086bfb85
Submitter: Jenkins
Branch: stable/liberty

commit 8c47ddb48e4d3bcf3222f4a725484177086bfb85
Author: Jeffrey Zhang <jeffrey.zhang@99cloud.net>
Date: Wed Mar 9 10:21:20 2016 +0800

    Handle multi Ethernets case in the gate

    rax-iad node has two Ethernets, but others not. Detect the private
    Ethernet by using script.

    Closes-Bug: #1561563
    Change-Id: I7c5d241f2b1a21f97512e52c487d875dd270011b
    (cherry picked from commit 00720db254f723d85aeaeb843bcaaa7ee4b92c85)

Reviewed: https://review.openstack.org/311908
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=c16f098564d6852a3a7b7b1e8c5175d85723806d
Submitter: Jenkins
Branch: stable/mitaka

commit c16f098564d6852a3a7b7b1e8c5175d85723806d
Author: Jeffrey Zhang <jeffrey.zhang@99cloud.net>
Date: Wed Mar 9 10:21:20 2016 +0800

    Handle multi Ethernets case in the gate

    rax-iad node has two Ethernets, but others not. Detect the private
    Ethernet by using script.

    Closes-Bug: #1561563
    Change-Id: I7c5d241f2b1a21f97512e52c487d875dd270011b
    (cherry picked from commit 00720db254f723d85aeaeb843bcaaa7ee4b92c85)

This issue was fixed in the openstack/kolla 3.0.0.0b1 development milestone.

This issue was fixed in the openstack/kolla 1.1.1 release.

This issue was fixed in the openstack/kolla 2.0.1 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers